Package com.creditcall.chipdnamobile

# Enum Class ReceiptFieldInclusion

java.lang.Object
java.lang.Enum<ReceiptFieldInclusion>
com.creditcall.chipdnamobile.ReceiptFieldInclusion

All Implemented Interfaces:
  `Serializable`, `Comparable<ReceiptFieldInclusion>`, `Constable`

public enum ReceiptFieldInclusion extends Enum<ReceiptFieldInclusion>
This enum represents the Inclusion of a receipt field.

Author:
  Creditcall Ltd

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Mandatory`
  Receipt field must be displayed on the receipt.
  `Optional`
  Receipt field may or may not be displayed on the receipt.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReceiptFieldInclusion`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReceiptFieldInclusion[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Mandatory

    public static final ReceiptFieldInclusion Mandatory
    Receipt field must be displayed on the receipt.

  - ### Optional

    public static final ReceiptFieldInclusion Optional
    Receipt field may or may not be displayed on the receipt.

- ## Method Details

  - ### values

    public static ReceiptFieldInclusion[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ReceiptFieldInclusion valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null